Subject: [alpine-devel] [PATCH] testing/frotz: new aport

From: ScrumpyJack <[email-masked]>
Date: Mon, 01 Dec 2014 18:55:14 +0000 (UTC)

testing/frotz: new aport

A Portable Z-Machine Interpreter
http://frotz.sourceforge.net/
---
  testing/frotz/APKBUILD       | 48 +++++++++++++++++++++++++++++++++++++++++++
  testing/frotz/Makefile.patch | 49 ++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 97 insertions(+)
  create mode 100644 testing/frotz/APKBUILD
  create mode 100644 testing/frotz/Makefile.patch

diff --git a/testing/frotz/APKBUILD b/testing/frotz/APKBUILD
new file mode 100644
index 0000000..53cadf8
--- /dev/null
+++ b/testing/frotz/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=frotz
+pkgver=2.43
+pkgrel=0
+pkgdesc="A Portable Z-Machine Interpreter"
+url="http://frotz.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-${pkgver}d.tar.gz
+	Makefile.patch"
+
+_builddir="$srcdir/$pkgname-${pkgver}d"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make
+}
+
+package() {
+	cd "$_builddir"
+	strip $pkgname
+	install -m755 -d "${pkgdir}/usr/bin"
+	install -m755 -d "${pkgdir}/usr/share/man/man6"
+        install -m755 $pkgname "${pkgdir}/usr/bin/"
+        install -m644 doc/${pkgname}.6 ${pkgdir}/usr/share/man/man6/${pkgname}.6
+}
+
+md5sums="6f4211c9180c75214cda1020c7db2629  frotz-2.43d.tar.gz
+d3ebe35d8a03f93e40d6996c0118b3df  Makefile.patch"
+sha256sums="c56a2f77f630db04ad968fc7c0b2114e3f855fdae8ce226e600f20dcba2c5985  frotz-2.43d.tar.gz
+cea5fd75899721016b1a9d7443483926f203c9ab0d78ec74bfb975725041f7d6  Makefile.patch"
+sha512sums="53d0ba3fc841539b815512585daaf9505b500975d46a9fb6905c3840b98e2acb05cabc28ac4758296554ef5f1921385850b8c0410e8fed4c1ce7d200090dc1b7  frotz-2.43d.tar.gz
+50bd0db62eb09bb316dbab106d2bba0ad389e151fefbc587dbd15faf238b559276ce9d603333d5da8760623d014e2587609b96401e616f22062cb0a6aaa2f346  Makefile.patch"
diff --git a/testing/frotz/Makefile.patch b/testing/frotz/Makefile.patch
new file mode 100644
index 0000000..ead06f8
--- /dev/null
+++ b/testing/frotz/Makefile.patch
@@ -0,0 +1,49 @@
+--- src/frotz-2.43d/Makefile	2012-01-03 08:32:58.000000000 +0000
++++ ../Makefile	2014-12-01 13:08:50.390040011 +0000
+@@ -14,19 +14,19 @@
+ #-malign-jumps=2
+ 
+ # Define where you want Frotz installed.  Usually this is /usr/local
+-PREFIX = /usr/local
++PREFIX = /usr
+ 
+-MAN_PREFIX = $(PREFIX)
+-#MAN_PREFIX = /usr/local/share
++#MAN_PREFIX = $(PREFIX)
++MAN_PREFIX = /usr/share
+ 
+-CONFIG_DIR = $(PREFIX)/etc
+-#CONFIG_DIR = /etc
++#CONFIG_DIR = $(PREFIX)/etc
++CONFIG_DIR = /etc
+ 
+ # Define where you want Frotz to look for frotz.conf.
+ #
+-CONFIG_DIR = /usr/local/etc
+-#CONFIG_DIR = /etc
+-#CONFIG_DIR = /usr/pkg/etc
++#CONFIG_DIR = /usr/local/etc
++#CONFIG_DIR = /etc 
++#CONFIG_DIR = /usr/pkg/etc 
+ #CONFIG_DIR =
+ 
+ # Uncomment this if you want color support.  Most, but not all curses
+@@ -73,15 +73,15 @@
+ # curses library won't work, comment out the first option and uncomment
+ # the second.
+ #
+-CURSES = -lcurses
+-#CURSES = -lncurses
++#CURSES = -lcurses
++CURSES = -lncurses
+ 
+ # Uncomment this if your need to use ncurses instead of the
+ # vendor-supplied curses library.  This just tells the compile process
+ # which header to include, so don't worry if ncurses is all you have
+ # (like on Linux).  You'll be fine.
+ #
+-#CURSES_DEF = -DUSE_NCURSES_H
++CURSES_DEF = -DUSE_NCURSES_H
+ 
+ # Uncomment this if you're compiling Unix Frotz on a machine that lacks
+ # the memmove(3) system call.  If you don't know what this means, leave it
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---